# LoyaltyWalletObject | Android Developers

Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# LoyaltyWalletObject

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.wallet.LoyaltyWalletObject

## Class Overview

Parcelable representing a loyalty wallet object. An example loyalty wallet object could be a rewards membership where the membership id is placed in the accountId.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<LoyaltyWalletObject> | CREATOR |

Public Methods
int | describeContents()
String | getAccountId()
String | getAccountName()
String | getBarcodeAlternateText()
String | getBarcodeType()
String | getBarcodeValue()
String | getId()
String | getIssuerName()
String | getProgramName()
int | getVersionCode()
void | writeToParcel(Parcel dest, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final Creator<LoyaltyWalletObject> CREATOR

## Public Methods

#### public int describeContents ()

#### public String getAccountId ()

##### Returns

- Loyalty account identifier to be displayed to the user (ex: "12345678").

#### public String getAccountName ()

##### Returns

- Loyalty account holder name (ex: "John Smith").

#### public String getBarcodeAlternateText ()

##### Returns

- Human-readable text to display to the user in addition to the encoded barcode value (ex: "3492013").

#### public String getBarcodeType ()

##### Returns

- Barcode type. Possible values include "codabar", "qrCode", "textOnly", etc...

#### public String getBarcodeValue ()

##### Returns

- Encoded barcode value.

#### public String getId ()

##### Returns

- The unique identifier for this Wallet Object.

#### public String getIssuerName ()

##### Returns

- The name of who issued this loyalty object.

#### public String getProgramName ()

##### Returns

- The name of the loyalty program associated to this object.

#### public int getVersionCode ()

#### public void writeToParcel (Parcel dest, int flags)